Issue #8932 has been updated by Hiroshi SHIBATA.

Target version changed from 2.1.0 to current: 2.2.0

----------------------------------------
Bug #8932: ruby-2.0.0-p247/gems/rubyzip-0.9.9/lib/zip/inflater.rb:42: [BUG] Segmentation fault
https://bugs.ruby-lang.org/issues/8932#change-44800

* Author: vincent moreno
* Status: Feedback
* Priority: Normal
* Assignee: 
* Category: core
* Target version: current: 2.2.0
* ruby -v: uby 2.0.0p247 (2013-06-27 revision 41674) [x86_64-darwin12.3.0]
* Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN
----------------------------------------
Hello,
 My program is working on Linux and Windows but not on my mac OSX, I have the error segmentation fault
Program example:
require 'rubygems'
require 'nokogiri'
require 'zip/zip' #rubyzip 0.9.9
require 'lib/semboxlib'
@zip = Zip::ZipFile.open("SDD_001.docx")
#initialise Nokogiri reader with document.xml
doc   = Nokogiri::XML(@zip.read('word/document.xml'))
#open xsl file
xslt  = Nokogiri::XSLT(File.read("DocxHtml.xsl"))
#convert document.xml in html using xsl sheet return html
#Nokogiri::HTML(xslt.transform(doc).to_html)
xslt.transform(doc).to_s

---Files--------------------------------
log_core_dump.log (158 KB)
ruby_2013-09-21-003109_MacBook-Air-de-vincent-moreno.crash (23.9 KB)


-- 
http://bugs.ruby-lang.org/